Subject: [NSIS] WG: IP options and NATs

From: "Tschofenig, Hannes" <[email-masked]>
Date: Wed, 2 Aug 2006 19:27:14 +0200

Hi all, 

Does anyone know something about the handling of RAO by NATS?

Ciao
Hannes

-----Ursprüngliche Nachricht-----
Von: Dan Wing [mailto:[email-masked]] 
Gesendet: Mittwoch, 2. August 2006 18:20
An: [email-masked]
Cc: Pashalidis, Andreas; Tschofenig, Hannes
Betreff: IP options and NATs

While reviewing draft-pashalidis-nsis-gist-legacynats-00.txt, I noticed:

    >     The discussion in this document is based on the
    >     following assumptions.  
    >     ...
    >     6.  The legacy NAT does not drop IP packets with a
    >         Router Alert Option (RAO) or an IPv6 extensions
    >         header.  Furthermore, the RAO or extension header
    >         is also present in the forwarded packet.  If the
    >         NAT does not do this, then there is no way for a
    >         GIST QUERY to traverse the NAT, which is a
    >         prerequisite for the mechanisms described in this
    >         document.

I am wondering how today's NATs handle IP options.  I asked our engineering
teams and found that Cisco's IOS NAT preserves IP options across the NAT,
but our PIX and our ASA drop all IP options.  Testing will be necessary to
determine how various residential style NATs (Linksys, etc.) handle IP
options such as RAO.

Does anyone know what other NATs do with RAO?

-d

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis